-- $Name: Тёмная планета$
-- $Version: 0.02$
-- $Author: Irremann$

require 'fmt' -- некоторые функции форматирования
fmt.para = true -- включить режим параграфов (отступы)
require 'noinv'
require 'snd'

game.act = 'Не работает.';
game.use = 'Это не поможет.';
game.inv = 'Зачем мне это?';

global { -- определение глобальных переменных
	--q1 = 0;
};

function init()
	std.phrase_show = false
end;

include 'keywords.lua';

-------начало

room {
	nam = 'main';
	disp = 'В каюте';
	onenter = function()
		pn (fmt.r('На борту ксилла "Сессон-Эссин"'));
		snd.music 'theme/CrashedShip.ogg';
		pn ();
		p 'Меня зовут Всеволод Клэр, странное для француза имя мне досталось от русской родни моей матери. По образованию я медик, хоть и не практикую. Ещё немного охотник, и именно это увлечение радикально перевернуло мою размеренную жизнь. В лесу возле своего имения в Руффиньяке я обнаружил сбитую тарелку, вернее "ксилл", Иссов и ведомый своими медицинскими инстинктами оказал первую помощь экипажу. К счастью иссы мало отличаются физически от людей и мои умения по вправке вывихов, перевязке и наложению лубков оказались востребованы. С тех пор я немало помотался по галактике со своим другом Суиликом, командиром исследовательского ксилла "Сессон-Эссин" и сейчас мы снова летим по заданию галактического совета.^^-- Мссье Сслэр, мы на месте, спускайся в ангар, у нас мало времени. -- Голосом Суилика зашипел внутренний коммуникатор в моей каюте.';
	end;
	dsc = 'Это моя каюта.';
	obj = {'Иллюминатор', 'Кушетка'};
	way = {path{'В ангар', 'Ангар'}};
	onexit = 'Пройдя по изогнутому коридору я попал в ангар.';
};

obj {
	nam = 'Иллюминатор';
	dsc = 'Каюта имеет выгнутую внешнюю стену из-за формы ксилла и большую часть этой стены занимает обзорный {иллюминатор}.';
	act = 'Который заодно выполняет функции экрана, с него можно читать тексты или просто установить вид на море или ещё что-то. Там сотни этих изображений. И ещё множество других функций.';
};

obj {
	nam = 'Кушетка';
	dsc = 'В центре стоит {кушетка}.';
	act = 'На которой я собственно и валялся предаваясь сибаритству и чтению книги.';
};

room {
	nam = 'Ангар';
	onenter = function()
		pn (fmt.r('На борту ксилла "Сессон-Эссин"'));
	end;
	dsc = 'Это ангар.';
	obj = {'Разведовательный ксилл', 'Суилик'};
	way = {path{'В каюту', 'main'}};
};

obj {
	nam = 'Разведовательный ксилл';
	dsc = 'Ангар почти пуст. Около небольшого одноместного {ксилла}';
	act = 'Действительно маленький аппарат, раньше я такого не видел. Интересно.';
};

obj {
	nam = 'Суилик';
	dsc = 'стоит {Суилик}';
	act = function()
		change_pl('Ключевые слова');
		walk 'Разговор с Суиликом';
	end;
};

dlg {
	nam = 'Разговор с Суиликом';
	phr = {
		{'Клэр готов к инструктажу, командир! -- шутливо козырнул я Суилику, едва влетев в ангар.', function() p '-- Будь серьёзнее пожалуйста, это задание опасно даже с учетом твоей биологической нечуствительности к излучению мисликов. Ссмотри, мы подготовили для тебя специальный ксилл.'; take 'Ксилл'; take 'Мисликов'; end;
			{'Какова же моя цель?', '-- Планета Арк Тох, которую когда-то населяла раса Арканийцев. Около сотни оборотов назад астрономы с нашего аванпоста обнаружили что солнце Арка гаснет..',
				{'Мислики!', '-- Да, это были они. Срочно собранная эскадра вылетела чтобы уничтожить мисликов. Но наши ксиллы столкнулись со слишком большим сопротивлением, мисликов были миллионы. Понеся потери и так не уничтожив гасящие пилоны на внешних планетах, командующие эскадрой приказали оступить во внутреннюю часть системы. И тогда обнаружили тут обитаемую систему..',
					{'Проклятье!', '-- Именно так, мой друг. Цивилизация Арконийцев находилась в самом начале своей космической экспансии, примерно как твоя Тсемля. Поэтому мы и не обнаружили их раньше. К моменту нашего прилета они уже поняли какой враг им противостоит и находились в полном отчаянии. Они строили гигантский корабль-ковчег на орбите, чтобы спасти хоть горстку беглецов, которым предстояло всю жизнь провести в железной коробке в надежде что их потомки прилетят в пригодную для жизни систему..',
						{'Наши ученые называют это "Корабль поколений".', '-- На наших кораблях хватало места только на несколько сотен беженцев, но мы поделились с ними технологией глубокого сна и в их монструозный ковчег смогли упаковать почти десять миллионов человек. Но ты сам понимаешь, это песчинка из пустыни Сианкор, около 2% населения планеты. Остальные остались на верную смерть. Но мислики подходили все ближе и эскадра с ковчегом покинули систему.',
							{'Суилик, это несомнено очень грустная история, но с тех пор прошла сотня лет. Зачем тогда мы здесь?', function() p '-- Ковчег еще летит куда-то к соседней звезде, но население оттуда мы постепенно вывозим. И от беженцев мы узнали об Ар Нире, гениальном учёном, который первый понял угрозу мисликов и даже разработал какое-то защитное средство против их излучения. Как ты знаешь, наши успехи в этом направлении минимальны. Ар Нир уступил свое место на ковчеге своей родственнице, а сам остался на планете. Мы узнали примерный адрес и описание его лаборатории. Основная примета -- это купол астрономической обсерватории. Это и будет твоя цель. Загружай в ксилл все что покажется интересным. Запасов воздуха и еды у тебя на неделю.'; take 'Ар Нира'; end;};};};};};};
		{'Суилик, хватит говорить, пора лететь!', function() p 'Суилик пожелал мне удачи и я привычно натянув скафандр, залез в ксилл. Было тесновато, но достаточно удобно. Аккуратно выведя аппарат наружу, я полетел к замороженной планете, которая едва серебрилась в свете звезд. Было ли мне страшно? В общем и целом нет, но какое-то неуютное чувство гнездилось в груди при мыслях о том, что я лечу на планету, где погибло несколько миллиардов разумных существ. А сейчас её населяли только чудовищные порождения мрака, существующие только при температуре жидкого азота. По указателю на приборной панели я легко нашел нужный мне город. Черные здания темнели на фоне светлого азотного снега. Но вот куполов с характерной прорезью по телескоп, я нашел целых четыре штуки. Два в северной части города. Один на юго-запад и еще один на восточной окраине.'; change_pl(pl); take 'Скафандр'; take 'Фульгуратор'; walk('Выбор маршрута'); end;}
	};
};

obj {
	nam = 'Скафандр';
	inv = 'Обычный стандартный скафандр иссов. Благо наша физиология весьма схожа. Хитрые устройства жизнеобеспечения умещаются в плоский ранец на спиной. А стекло в шлеме улавливает и усиливает даже малейшие проблески света и света звезд вполне достаточно чтобы превратить беспроглядный мрак в сумерки.';
};

obj {
	nam = 'Фульгуратор(пуст)';
	inv = 'Оружие неплохо послужило мне, но заряда совсем не осталось. Так что при встрече с мисликами действуем по плану Б, то есть "тактическое отступление".';
};

room {
	nam = 'Проспект';
	dsc = 'Я на проспекте. Пустые окна высотных зданий как будто смотрят на меня.';
	obj = {'Автомобили', 'Разведовательный ксилл_2'};
	way = {path{'На север', 'Театр'}, path{'На юг', 'Обсерватория'}};
	onexit = function(s,w)
		if w^'Театр' and not seen('Мислик','Театр') then
			p 'Нет смысла возвращаться к развалинам театра. Запас кислорода все-таки ограничен.';
			return false;
		end;
	end;
};

obj {
	nam = 'Автомобили';
	dsc = 'По обочинам проспекта стоят припаркованные {автомобили}.';
	act = 'Вакуум и низкие температуры не пощадили их, но очертания вполне земные.';
};

obj {
	nam = 'Разведовательный ксилл_2';
	dsc = 'Мой {ксилл} стоит на ровном участке.';
	act = function()
		walk('Выбор маршрута');
	end;
};

dlg {
	nam = 'Выбор маршрута';
	phr = {
		{cond = function() return not from()^'Проспект' end,'Приземлиться в северной части города, там два купола рядом, шансы найти нужный удваиваются.', function() p 'Покрутившись немного я выбрал пустынный проспект рядом с один из куполов. Дорожное покрытие, как ни странно, было практически чистым. А я думал тут будут метровые сугробы из азота и углекислоты.'; walk('Проспект'); end;};
		{'Выбрать юго-западный купол, он вроде побольше остальных.', 'Приблизившись я обнаружил вокруг купола сотни мисликов. Они перемещались в казалось бы хаотичном движении, но стоило присмотреться и в движении обнаруживалась какая-то структура. Впрочем долго рассматривать я мисликов не стал и отвел свой ксилл подальше. Вероятно стоит попытаться осмотреть другие места.'};
		{cond = function() return not from()^'У входа' end,'А на восточной окраине купол обсерватории располагается на территории обширного поместья, явно принадлежащего небедному человеку.', function() p 'От большого парка перед поместьем остались лишь скрюченные черные стволы выделяющиеся на фоне серого снега. Я осмотрелся, но мисликов не заметил, и решительно пошёл на посадку перед главным входом.'; walk('У входа'); end;};
		{'Отмена.', function() walkout(); end;};
	};
};

room {
	nam = 'Театр';
	onenter = 'Проспект вывел меня на площадь, к фасаду большого здания с колоннадой и куполом, который видимо я и принял за обсерваторию, но кажется это все-таки театр или консерватория. Сквозь распахнутые двери я заглянул внутрь и увидел знакомый металлический блеск.';
	dsc = 'Я стою перед входом в театр.';
	obj = {'Мислик'};
	way = {path{'На юг', 'Проспект'}};
};

obj {
	nam = 'Мислик';
	dsc = 'В обломках гардеробной внутри лежит {мислик}.';
	act = 'Металлический слиток размерами примерно два метра в длину и квадратный метр в сечении. Бока поблескивают то ли чешуей, то ли узором. Почуял ли он меня своими загадочными органами чувств? Может удастся просто тихо уйти?';
};

room {
	nam = 'Обсерватория';
	onenter = 'Проспект вывел меня к обсерватории. Оглянувшись, я вошел вовнутрь.';
	dsc = 'Я нахожусь в обсерватории.';
	obj = {'Телескоп', 'Стол'};
	way = {path{'На север', 'Проспект'}};
};

obj {
	nam = 'Телескоп';
	dsc = 'В центре располагается {телескоп}.';
	act = 'Я заглянул в окуляр, но кроме звездного неба не увидел ничего интересного. Хотя впрочем что я ожидал?';
};

obj {
	nam = 'Стол';
	dsc = 'У стены стоит {письменный стол}.';
	act = function(s)
		p 'Низкие температуры не пощадили бумаги. Листы склеились, а чернила выцвели в вакууме. Ещё покопавшись в столе я нашел пластиковый диск, хм, возможно это носитель информации. Стоит захватить для Суилика.';
		remove(s);
		take 'Диск';
	end;
};

obj {
	nam = 'Диск';
	inv = 'Пластиковый диск, диаметром примерно в ладонь. Возможно носитель информации.';
	use = function(s, w)
		if w^'Дверь' then
			p 'Ну по размеру подходит вроде. Хм. И я, чувствуя себя негром из колоний, пихающим монеты в купюроприемник, вставил диск в щель. Дверь задрожала и рывками поехала вверх. Видимо что-то в механизме разладилось за прошедшие годы.';
			remove(s);
			remove(w);
			enable('Обзорная площадка');
		else p 'Это возможно что-то ценное, хотя по виду и не скажешь.';
		end;
	end;
};

room {
	nam = 'У входа';
	dsc = 'Я стою перед входом в поместье. Двери ведущие в фойе распахнуты.';
	obj = {'Разведовательный ксилл_2'};
	way = {'Фойе'};
};

room {
	nam = 'Фойе';
	dsc = 'Я в большом зале. Роскошная лестница, с почерневшим ковром на ней (хотя может он и был чёрным?) ведет на второй этаж. Также тут есть есть дверь ведущая в коридор.';
	obj = {'Мислик2'};
	way = {path{'Наружу', 'У входа'}, 'Второй этаж', 'Коридор'};
	onexit = function(s,w)
		if seen 'Мислик2' then
			if w^'Второй этаж' or w^'У входа' then
				p 'Мислики перекрывают путь!';
				return false;
			end;
		elseif w^'Второй этаж' then
			p 'Я поднялся по лестнице и прошёлся по комнатам второго этажа. Обнаружил несколько комнат непонятного назначения, спальню со странно изогнутой кушеткой и наконец кабинет. Но стоило мне только подойти к шкафам, как знакомый зловещий отблеск отразился в оконном стекле. Мислики! Я скатился по лестнице в фойе и увидел как мислик вползает во входную дверь.';
			enable 'Мислик2';
			return false;
		end;
	end;
};

room {
	nam = 'Второй этаж';
};

obj {
	nam = 'Мислик2';
	dsc = 'В дверь пытается пролезть {мислик}.';
	act = 'Металлический слиток размерами примерно два метра в длину и квадратный метр в сечении. Бока поблескивают то ли чешуей, то ли узором.';
}:disable();

room {
	nam = 'Коридор';
	onenter = 'Похоже первый этаж целиком отдан прислуге. Я заглянул в несколько дверей и нашел каморки-спальни, кладовку с инструментами для уборки, большую кухню с причудливой печью и прачечную.';
	dsc = 'Я нахожусь в коридоре.';
	way = {'Фойе', 'Кухня', 'Прачечная'};
	onexit = function(s,w)
		if w^'Кухня' then
			p 'Кроме причудливой печи я нашел тут несколько ножей, множество металлических тарелок и чашек, а так же намерзший лед в мойке. В общем ничего полезного. Оглянувшись, я вышел обратно в коридор.';
			return false;
		elseif w^'Фойе' then
			p 'Я шагнул в фойе и сразу отшатнулся обратно. Мислики! И много! Похоже этот путь теперь закрыт для меня.';
			return false;
		end;
	end;
};

room {
	nam = 'Кухня';
};

room {
	nam = 'Прачечная';
	onenter = 'На пол намерз лёд, я подскользнулся и упал прямо в кучу каких-то тазиков. Немного побарахтавшись я поднялся на четвереньки и буквально под носом обнаружил люк в полу.';
	dsc = 'Я нахожусь в прачечной и тут очень скользко.';
	way = {'Коридор', path{'В люк', 'Туннель'}};
	onexit = function(s,w)
		if w^'Туннель' then
			p 'Едва я начал спускаться вниз, цепляясь за металлические скобы вделанные в стенку туннеля, как в прачечной появился мислик. Он обрушился своим корпусом, целясь в меня, я же от неожиданности выпустил скобу из руки и полетел вниз. Благо падать оказалось недалеко.';
		end;
	end;
};

room {
	nam = 'Туннель';
	onenter = 'Сверху сыпется кирпичная крошка, похоже мислик не оставил попыток добраться до меня. Впрочем проём слишком узок для его тела, так что пока я могу чувствовать себя в безопасности.';
	dsc = 'Я нахожусь в туннеле похожем на канализационный. Кирпичные стены, засохшая плесень, желоб заполненный льдом посередине. Хорошо что я в скафандре и все запахи уже давно замерзли.';
	way = {path{'Наверх', 'Прачечная'}, 'На север', path{'На юг', 'У двери'}};
	onexit = function(s,w)
		if w^'Прачечная' then
			p 'Там всё ещё бушует мислик, возможно стоит поискать другой путь?';
			return false;
		elseif w^'На север' then
			p 'Довольно быстро я уперся в завал. Обломки кирпича и земли образовали непроходимое промороженное препятствие. Это направление перекрыто.';
			return false;
		end;
	end;
};

room {
	nam = 'На север';
};

room {
	nam = 'У двери';
	onenter = 'Туннель несколько раз изгибался, ответвления приводили в тупики, но наконец я вышел.. И куда я вышел?';
	dsc = 'Я всё ещё в канализационном туннеле.';
	obj = {'Дверь'};
	way = {path{'На север', 'Туннель'}, path{'В дверь', 'Обзорная площадка'}};
};

obj {
	nam = 'Дверь';
	dsc = 'Путь дальше перекрывает массивная {металлическая дверь}.';
	act = 'Посередине двери узкая щель.';
};

room {
	nam = 'Обзорная площадка';
	onenter = 'Я пролез в дверь. Весьма вовремя, так как она рухнула вниз сразу после этого. Сделал еще несколько поворотов и оказался на выступе в стене пещеры. Нет, постойте. ПЕЩЕРЫ! Пещера была столь велика что дальняя стена терялась в атмосферной дымке. Посередине находилось небольшое озеро, окружённое сельскими угодьями. Я увидел также несколько городков и заводов. Прямо же подо мной находился самый крупный город. И всё это освещал ксилл висящий в центре пещеры. Его защитное поле мягко светилось, заполняя золотыми лучами каждый уголок этого скрытого мира Жюля Верна, Плутонии Санникова. До меня донесся мерный звук ударов по металлу из городка снизу и я наконец догадался расстегнуть шлем. Воздух был наполнен запахами.';
	dsc = 'Я нахожусь на скальном выступе. Тут есть ограждение из металлических прутьев и лестница из стальных скоб ведущая вниз.';
	onexit = 'Лестница заканчивалась просто в каком-то переулке рядом с мусорными баками. И внизу меня уже поджидали.';
	way = {path{'Вниз', 'Переулок'}};
}:disable();

room {
	nam = 'Переулок';
	dsc = 'Я в узком переулке. С одной стороны каменная стена пещеры, с другой кирпичная стена здания.';
	obj = {'Жандармы', 'Мусорные баки'};
	way = {'Улица'};
	onexit = function(s,w)
		if seen 'Жандармы' then
			p 'Пара крепких жандармов перекрывают мне путь. Что-то не нравятся мне эти лица.';
			return false;
		else
			p 'Я наконец выбрался на улицу. Ну что же. Очень похоже на провинциальный французский городок середины прошлого века. Брусчатка под ногами, экипажи с кем-то вроде лошадей. Вот мимо прошел аркониец в скафандре и с огромным мешком за плечами. Увидев меня он сложил пальцы кольцом, навроде как американское "окей", я ответил ему тем же и тот пошёл дальше, потеряв ко мне интерес. Да, выделяться не стоит пока. Тем более судя по всему арконийцы все-таки посещают поверхность в поисках ресурсов и мой скафандр вполне вписывается в окружение.';
		end;
	end;
};

obj {
	nam = 'Мусорные баки';
	dsc = 'Вдоль стены стоят {мусорные баки}.';
	act = 'Металлические баки прямоугольной формы с откидывающейся крышкой. Пахнут пищевыми отходями. Воняют вернее, воняют!';
};

obj {
	nam = 'Жандармы';
	dsc = 'Выход из переулка перекрывают {двое арконийцев} в фиолетовой форме и с резиновыми дубинками на поясах. Что-то мне подсказывает, что это местные жандармы.';
	act = function(s)
		remove(s);
		change_pl('Ключевые слова');
		walk 'Разговор с жандармами';
	end;
};

obj {
	nam = 'Фульгуратор';
	inv = 'Иссы вообще миролюбивая раса, да и к мисликам не подкрасться на дистанцию поражения ручным оружием, поэтому когда я спросил что-то типа пистолета, то немало озадачил Суилика. Впрочем он справился и где-то нашел мне этот метатель плазмы - фульгуратор. На мисликах его не испытывали, но учитывая что они не терпят даже кратковременного повышения температуры, то плазма должна сработать как надо.';
	use = function(s, w)
		if w^'Скафандр' then
			p 'Нет, кончать жизнь самоубийством я точно не собираюсь.';
		elseif w^'Разведовательный ксилл_2'then
			p 'А на чем я тогда обратно полечу?';
		elseif w^'Мислик' then
			p 'Я тщательно прицелился и выстрелил в мислика. Плазма оплавила его и он потек как свечной воск, но этим всё не ограничилось. Стена позади мислика треснула, а сверху стал обваливаться потолок. Я быстро отскочил от входа и наблюдал как обломки заваливают проход. В вакууме без звука это выглядело несколько сюрреалистично, только вибрация переносилась через подошвы скафандра. Что же, похоже здесь мне уже искать нечего.';
			remove(w);
		elseif w^'Мислик2' then
			p 'Я прицелился и выстрелил в мислика. Металлическим бруском он рухнул на пол, но вслед за ним показался ещё один. Другой показался наверху лестницы. Надо попробовать спрятаться, их слишком много!';
		elseif w^'Дверь' then
			p 'Я потратил весь заряд фульгуратора, но сумел прожечь достаточной величины отверстие в этой, de merde, двери.';
			remove(w);
			enable('Обзорная площадка');
			replace(s,'Фульгуратор(пуст)');
		elseif w^'Жандармы' then
			p 'Я не могу просто так стрелять в разумных существ. Это же не мислики, сначала можно попробовать договориться.';
		else p 'Не стоит привлекать внимание мисликов.';
		end;
	end;
};

dlg {
	nam = 'Разговор с жандармами';
	onenter = function()
		p '-- И кто это у нас тут? Неужели бродяга? Где твое добро, искатель? -- Обратился ко мне жандарм постарше. И сказал это, пусть и искажая слова, но по исски! Ни Суилик, ни я ведь совершенно не ожидали найти живых арконийцев и загрузить мне их язык мне в память. Но пока я предавался размышлениям, события понеслись вскачь.^-- А ну отвечай, пещерный червь! -- И меткий удар дубинки откинул меня к стене.';
		take 'Ксилл'; take 'Мисликов'; take 'Искателей';
	end;
	phr = {
		{'Кинуться в драку.', function() p 'Я бился как лев, вспомнив все свои студенческие навыки и приёмы. Но к стыду своему всё закончилось метким ударом дубинкой по голове. Пока я лежал оглушенный, жандармы по быстрому обшарили меня, поругались, но скафандр снимать не стали, обойдясь моим фульгуратором. И оставили меня в переулке одного.'; change_pl(pl); remove('Фульгуратор'); remove('Фульгуратор(пуст)'); walk('Переулок'); end;};
		{'Прикинуться потерявшим сознание.', function() p 'Возможно это был не лучший выбор, потому что сначала жандарм добавил удар дубинков по голове, после чего я и взаправду почти потерял сознание. Пока я лежал оглушенный, жандармы по быстрому обшарили меня, поругались, но скафандр снимать не стали, обойдясь моим фульгуратором. И оставили меня в переулке одного.'; change_pl(pl); remove('Фульгуратор'); remove('Фульгуратор(пуст)'); walk('Переулок'); end;};
		{cond = function() return seen('Фульгуратор', inv(pl)) end,'Припугнуть фульгуратором.', function() p 'Я выстрелил в мусорный бак рядом с жандармами. Тот исправно превратился в расплавленную лужицу металла. Жандармы же исезли так быстро, что как будто в ахун провалились. А вот заряд оказывается у меня был последний.'; change_pl(pl); replace('Фульгуратор', 'Фульгуратор(пуст)'); walk('Переулок'); end;};
		{cond = function() return seen('Фульгуратор(пуст)', inv(pl)) end,'Припугнуть фульгуратором.', function() p '-- И чем ты в меня тут тычешь, нашел игрушечный пистолет снаружи? -- Жандарм дубинкой выбил оружие у меня из руки и обратным движением выбил сознание у меня из головы. Пока я приходил в себя, жандармы по быстрому обшарили меня, поругались, но скафандр снимать не стали, обойдясь моим фульгуратором. И оставили меня в переулке одного.'; change_pl(pl); remove('Фульгуратор(пуст)'); walk('Переулок'); end;};
		{'Ответить как есть: Я сверху! Это исследовательская экспедиция. Я прилетел найти записи Ар Нира!', function() p '-- Сержант, да ему мислики последние мозги съели. Он же бредит тут. -- Хохотнул второй жандарм.^-- Издеваешься надо мной тут? -- Моментально вызверился сержант и обрушил на меня удары дубинкой. Пока я лежал оглушенный, жандармы по быстрому обшарили меня, поругались, но скафандр снимать не стали, обойдясь моим фульгуратором. И оставили меня в переулке одного.'; change_pl(pl); remove('Фульгуратор'); remove('Фульгуратор(пуст)'); walk('Переулок'); end;};
	};
};

room {
	nam = 'Улица';
	dsc = 'Двух и трехэтажные кирпиные здания вокруг, на первых этажах всякие лавки и мастерские. Большая часть надписей к моему счастью на исском. Улица с одной стороны ведет к воротам ведущим наружу. В другом направлении видна какая зелень, может быть парк?';
	obj = {};
	way = {'Ворота', 'Сквер'};
};

room {
	nam = 'Ворота';
	dsc = 'Улица тут расширяется образуя небольшую площадь, запруженную примитивным транспортом.';
	obj = {'Повозки', 'Торговец', 'Охрана'};
	way = {'Улица'};
};

obj {
	nam = 'Повозки';
	dsc = 'Всякие {повозки и кареты} стояли чуть ли не вплотную.';
	act = 'Тягловые животные отдаленно похожи на лошадей, только с клыками и рогами. Я неосторожно приблизился к одному животному и то чуть не откусило мне ухо. Я только почуствовал затхлое дыхание и щелчок клыков.^-- Тпру! Куда жрать! -- Окрикнул тварь извозчик. -- А ты куда лезешь в пасть, бродяга? А ну вали прочь!^Я разумно не стал спорить.';
};

obj {
	nam = 'Охрана';
	dsc = 'У ворот тщательно проверяют всех въезжающих и выезжающих {взвод знакомых парней} в фиолетовой форме.';
	act = 'Похоже на братьев-близнецов тех двоих из переулка. Но тут их значительно больше. И без каких-то бумаг они никого не выпускают. Похоже надо придумать другой способ выбраться из города.';
};

room {
	nam = 'Сквер';
	dsc = 'Улица привела меня на площадь окружающую небольшой прудик и сквер.';
	obj = {'Кабак', 'Статуя'};
	way = {'Улица'};
};

obj {
	nam = 'Статуя';
	dsc = 'Ещё здесь есть {статуя} на постаменте.';
	act = function()
		if visited('Разговор с девушкой') then
			p 'Под статуей ученого с книгой всё также подписано "Учёный, меценат, спаситель, Ар Нир".';
		else
			change_pl('Ключевые слова');
			walk 'Разговор с девушкой';
		end;
	end;
};

dlg {
	nam = 'Разговор с девушкой';
	onenter = function()
		p 'Статуя изображала старика в очках и с книгой в руках. Наверняка какой-то ученый. Надпись немного стерлась, но я всё же сумел прочитать "Учёный, меценат, спаситель, Ар Нир". Читал я похоже вслух, так как внезапно меня прервали.^-- Я и не знала, что мусорщики умеют читать. -- На хорошем исском произнесла довольно симпатичная девушка (а к разным оттенкам кожи я уже привык за время проведенное на Элле).';
	end;
	phr = {
		{'Я ещё и писать умею и космолетом управлять, хоть по первой профессии я и медик.', function() p 'В ответ девушка искренне рассмеялась.^-- Ох, каких только очаровательных психов не встретишь на прогулке. А мисликов вы видели? -- Впрочем ответить я не успел, за девушкой прибежала объемная матрона и что-то шепотом выговаривая ей, поспешно её увела, злобно посмотрев на меня напоследок. А что я? Я вообще ничего, да и у меня и невеста есть кстати.'; change_pl(pl); walk('Сквер'); end;};
	};
};

obj {
	nam = 'Кабак';
	dsc = 'В зданиях вокруг были в основном рестораны и прочие {питейные заведения}.';
	act = function()
		if visited('Разговор с искателем') then
			p 'Да вроде пока сыт. Да и хоть мясо они жарят неплохо, но вот пиво у нас в Бержераке варят лучше.';
		else
			change_pl('Ключевые слова');
			walk 'Разговор с искателем';
		end;
	end;
};

dlg {
	nam = 'Разговор с искателем';
	onenter = function()
		p 'Я почуял запах мяса и в животе заурчало. Может удастся поменять питательные таблетки на кусочек отбивной и кружку пива? У входа меня толкнул плечом какой-то торопыга и на мой возмущенный возглас обернулся тот самый искатель, которого я ранее видел на улице.^-- О, новичок, это ты удачно. Давай заходи, я сегодня угощаю, богов удачи надо кормить иначе в следующий раз так не повезет.. -- Что-то бормоча он притащил меня и усадил на лавку, вскоре передо мной появилось истекающее жиром мясо (не знаю кого, но в тот момент мне было совершенно всё-равно) и кружка с легким пивом. Утолив первый голод я внезапно понял, что мой благодетель всё это время мне что-то рассказывал. Про богатую добычу, что не встретил ни одного мислика, что говорят будто все мислики сошли с ума и громят поместье, что-то кто-то видел летающую звезду и это точно был не мислик, что тех жандармов, которые отобрали всё у меня непременно найдут, но сам понимаешь.';
	end;
	phr = {
		{'Как выбраться из города?', function() p '-- Без пропуска? Знаешь вообще это платная услуга. -- Я покопался в карманах скафандра и торжественно высыпал пяток таблеток пищевого суперконцентрата. Глаза искателя загорелись, он явно раньше такое видел. Он то протягивал руку, то убирал. В его голове явно проходила нешуточная борьба. Наконец он быстрым движением схватил две таблетки и торопливо прошептал: "У ворот торговец с синей повозкой. Скажи ему "Привет от Кира"." После чего исчез, как в ахун провалился. Я убрал оставшиеся таблетки и покинул это заведение.'; change_pl(pl); walk('Сквер'); enable 'Торговец'; end;};
	};
};

obj {
	nam = 'Торговец';
	dsc = 'Среди прочих стоит и {синяя повозка}, во всяком случае те части что видно под грязью.';
	act = function()
			change_pl('Ключевые слова');
			walk 'Разговор с торговцем';
	end;
}:disable();

dlg {
	nam = 'Разговор с торговцем';
	onenter = function()
		p 'На пароль торговец только мотнул головой в сторону кузова, куда я и залез. На воротах его даже и не задержали и вот я оказался за стенами города.';
	end;
	phr = {
		{'До музея довезешь?', function() p '-- Дык як же. -- Я поспрашивал еще немного, но на все получал неизменный "Дык". А вокруг колосились поля, вернее где-то колосились, а где-то только сажали. В условиях неизменной внешней среды они верно собирали четыре урожая в год вместо одного. Впрочем местами я заметил и следы того что далеко не всё замечательно. Некоторые растения выглядели явно больными и чахлыми. Незаметно я задремал и очнулся только когда торговец начал тормошить меня. -- Дык, приехали.^Поблагодарив его и получив в ответ неизменный "дык" я остался на обочине возле большого здания весьма сильно похожего на поместье наверху. Похоже я у цели.'; change_pl(pl); walk('Фойе2'); end;};
	};
};

room {
	nam = 'Фойе2';
	disp = 'Фойе';
	dsc = 'Я оказался в большом зале. Роскошная лестница, с сине-золотым ковром на ней (довольно потертым) ведет на второй этаж. Также тут есть есть дверь ведущая в коридор на первый этаж.';
	obj = {'Вахтер'};
	way = {path{'Второй этаж', 'Кабинет'}, 'Коридор'};
	onexit = function(s,w)
		if w^'Коридор' then
			p 'Я же говорю, нельзя туда. Там кухня и подсобки, или ты по привычке к мусорным ведрам лезешь?';
			return false;
		end;
	end;
};

obj {
	nam = 'Вахтер';
	dsc = 'Рядом со входом стоит стойка, за которой дремлет {старичок} с ружьём в руках.';
	act = function()
			change_pl('Ключевые слова');
			walk 'Разговор с вахтером';
	end;
};

dlg {
	nam = 'Разговор с вахтером';
	onenter = function()
		p '-- А ну стой! Кто таков? Старикан придирчиво осмотрел мой скафандр, который кстати я успел немного оттереть от грязи и посему выглядел вполне прилично.';
	end;
	phr = {
		{'Я посетитель, хочу посмотреть дом Ар Нира.', function() p '-- Великого Ар Нира! Неучи, одни неучи. Ладно иди, руками ничего не трогать, на первый этаж не ходи. Увижу что не так, так сразу пристрелю! -- Старикан грозно потряс ружьём.'; change_pl(pl); walk('Фойе2'); end;};
	};
};

room {
	nam = 'Кабинет';
	dsc = 'Я наконец добрался до кабинета. Сразу стало понятно почему хитрый старик отпустил меня одного. Все книги и прочие предметы были заперты в стеклянных шкафах.';
	obj = {'Пульт'};
	way = {path{'Фойе', 'Фойе2'}};
	onexit = function(s,w)
		if w^'Коридор' then
			p 'Я же говорю, нельзя туда. Там кухня и подсобки, или ты по привычке к мусорным ведрам лезешь?';
			return false;
		end;
	end;
};

obj {
	nam = 'Пульт';
	dsc = 'На письменном столе под окном стоял {пульт связи}.';
	act = function()
			change_pl('Ключевые слова');
			walk 'Разговор с Ар Ниром';
	end;
};

dlg {
	nam = 'Разговор с Ар Ниром';
	onenter = function()
		p 'Я коснулся кнопки включения и индикаторы загорелись. Над пультом появилась голограмма старика весьма похожая на тот памятник в сквере.^-- В печали и горе или в радости и веселье, но она не меняется.^-- Пустыня Сианкор, -- чисто автоматически ответил я на эту известную поговорку иссов. Пульт зажужжал сильнее. Изображение несколько раз дёрнулось и наконец произнесло:^-- Я Ар Нир, оставляю этот слепок своего разума в помощь тем иссам, что придут на спасение остаткам моей расы. Ведь я могу только надеяться, что корабль с моей племянницей и другими вырвался из окружения мисликов. Мислики эффективно гасят радиолучи и я остался совершенно без информации. Спрашивай же, исс.^^Ничего себе. Наука иссов продвинулась далеко вперед, но от создания даже подобия искусственного интеллекта они весьма далеко, а тут в условиях подземной изоляции под гнётом мисликов Ар Нир создал "слепок разума". Да он и правда гений.';
	end;
	phr = {
		{'Сколько арконийцев живет в пещере?', '53 232 зарегистрировано в книгах учета населения.'};
		{'Каково состояние биосферы?', 'Истощение почв, нехватка некоторых веществ, особенно азота и фосфора. Прогнозируется двукратное снижение урожайности в ближайшие 3-4 года.'};
		{'Сколько арконийцев поместится в ксилл?', 'Все поместятся, я разработал усыпляющий газ, который позволит снизить потребление кислорода достаточно, чтобы провести две недели в космосе.'};
		{'План эвакуации?', 'Ксилл построен по оставшимся от иссов чертежам. Он может подняться в космос и совершать внутрисистемные полеты. Да и мисликов мне есть чем удивить. Но я так и не смог понять как работает генератор ахуна и создать его действующий образец.^^Merde, даже если я соберу арконийцев в ксилле и вылечу в космос, как Суилик догадается что нам нужен генератор ахуна, да и есть ли запасной в его ксилле? Если бы можно было просто позвонить и сказать, или отправить телеграмму.. Стоп, неужели у иссов никто не догадался до азбуки морзе? Впрочем нам терять нечего!',
			{'Ар Нир, есть ли у тебя мощный радиопередатчик?', '-- Тарелка радиотелескопа на юге столицы цела насколько я могу судить, я могу отправить искателей подключить питание к ней. Это займет пару дней.',
				{'Действуй, а пока как мне перебраться на ксилл?', function() p '-- Я пришлю транспортную капсулу ко входу. -- После чего я снова выключил пульт и направился наружу. Старикан в фойе проводил меня подозрительным взгядом и зашаркал вслед. Уже забираясь в тесную капсулу я услышал его крик "Я же говорил ничего не трогать руками!".'; change_pl(pl); walk('Почти финал'); end;};};};
	};
};

room {
	nam = 'Почти финал';
	dsc = 'Следующие пара дней были наполнены подсчетами и тяжёлыми раздумьями. Даже учитывая то, что я прибыл весьма вовремя, с учётом грозящей продовольственной катастрофы, как мне убедить пещерных жителей эвакуироваться? Многие из них уже не верят даже в мисликов и не захотят терять привычный образ жизни.^С другой стороны установление связи с Суиликом. Искатели наконец-то подключили радиотелескоп и я отправил сначала один импульс, два, три и так далее по количеству букв в исском алфавите. Не азбука Морзе, но Суилик догадается. Должен догадаться. А потом само сообщение где просил поддержки при эвакуации и генератор ахуна. На повторе тарелку разрушили мислики, которые явно что-то заподозрили. Впрочем я опять приписываю человеческие качества этим бездушным слиткам.^На третий день Ар Нир доложил о падении давления в пещере, а посланные искать утечку искатели столкнулись с мисликами в туннелях. Вскоре стало ясно что мислики всерьёз решили добраться до арконийцев. Они буквально прожигали почву и камень прокладывая себе путь. Sacre bleu! Ар нир объявил через проповедников в церквях, которые тоже оказались его агентами (довольно цинично, впрочем наверное оправданно), что наступают часы последней битвы и о военной мобилизации. Ксилл опустился прямо в озеро и началась погрузка стариков, женщин и детей. Мужчины же взялись за оружие, тут помог и я со своим чудом спасенным и перезаряженным Ар Ниром фульгуратором.^И спустя еще трое суток, когда мислики почти прорвались в пещеру, наконец в пыльном туннеле я получил сообщение от не менее запыленного посыльного. Искатели докладывали что на поверхности были замечены четыре мощных взрыва. Это был знак от Суилика и я с облегчением скомандовал об отступлении и эвакуации в ксилл.';
	way = {'Теперь точно финал'};
};

room {
	nam = 'Теперь точно финал';
	dsc = 'Крыша пещеры взорвалась и скальные обломки посыпались на оставленные городки и поля. Рядом кто-то всхлипнул, глядя на эту картину апокалипсиса. Народом оказалась забита даже рубка. Светящийся защитным полем ксилл стал подниматься в черное небо. Где-же поддержка? Сейчас тут будет тысяча мисликов. И поддержка пришла. Земля и небо расцветились тысячами вспышек. Сугробы замороженной углекислоты выкипали восстанавливая на какое-то время подобие атмосферы. Мислики падали как камни с неба, уничтоженные слишком высокой для них температурой.^Наконец мы достигли орбиты и тут я обнаружил флот иссов и угловатые звездолёты синзунов. Экран загорелся и на связь вышел неодобрительно качающий головой Суилик.^-- Ссслэр, я же посылал тебя за записками и книгами, а ты притащил целую прорву народа.^Загорелся ещё один экран и на нём появилась прекрасная Ульна.^-- Клэр, ты жив, я бы утопила этого Суилика если бы с тобой что-то случилось! Мы отправились следом, как узнали что совет снова послал тебя на самоубийственную миссию! Снова!^-- Не было никакого риска, просто зашел - вышел, миссия на пару часов. -- Вмешался Суилик.^-- Суилик! Тебе повезло что местные моря уже замерзли.. -- вскипела Ульна. Я же молчал и думал где бы мне пристроиться и поспать немного наконец. Последние дни оказались весьма непростыми. К счастью наконец всё это закончилось.';
	way = {'Титры'};
};

room {
	nam = 'Титры';
	dsc = 'Игра посвящается одному из моих любимейших авторов -- Франсуа Борду, более известному как Франсис Карсак. Которому как раз недавно исполнилось 103 года.^^Эта игра написана специально для ЗОК2022. Надеюсь вам понравилось. Спасибо за прохождение.^^Irremann 06.02.2022';
};
